=== debian/changelog ===
deepin-pw-check (5.0.13-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Wed, 14 Apr 2021 15:28:37 +0800

deepin-pw-check (1.0.0.1) unstable; urgency=medium

  * Initial release.

 -- xiejiabo <xiejiabo@uniontech.com>  Wed, 18 Nov 2020 17:58:35 +0800
