## deepin-pw-check 5.1.8

=== Makefile ===
--- 
+++ 
@@ -17,6 +17,8 @@
 LIBSRCS_C = $(basename $(shell cd lib; ls *.c))
 TOOL_BINARAY = pwd-conf-update
 
+SECURITY_BUILD_OPTIONS = -fstack-protector-strong -D_FORTITY_SOURCE=1 -z noexecstack -pie -fPIC -z lazy
+
 all: build
 
 prepare:
@@ -26,11 +28,11 @@
 	env GOPATH="${GOPATH}" ${GOBUILD} -o $@  ${GOPKG_PREFIX}/*.go
 
 out/${LIBRARIES}:
-	gcc lib/*.c -fPIC -shared -lcrypt -lcrack -liniparser -DIN_CRACKLIB -z noexecstack -Wl,-soname,libdeepin_pw_check.so.1 -o $@ $^
+	gcc lib/*.c ${SECURITY_BUILD_OPTIONS} -shared -DIN_CRACKLIB -W -Wall -Wl,-soname,libdeepin_pw_check.so.1 -o $@ $^ -lcrypt -lcrack -liniparser
 	cd out; ln -s ${LIBRARIES} ${LINK_LIBRARIES}
 
 lib/%:
-	gcc $(addsuffix .c, $@) -c -DIN_CRACKLIB -z noexecstack -o $(addsuffix .o, $@)
+	gcc $(addsuffix .c, $@) -c ${SECURITY_BUILD_OPTIONS} -DIN_CRACKLIB -W -Wall -o $(addsuffix .o, $@)
 
 link: $(addprefix lib/, ${LIBSRCS_C})
 	# cd lib ;ar x /usr/lib/$(DEB_HOST_MULTIARCH)/libiniparser.a
@@ -41,10 +43,10 @@
 static_lib: link
 
 out/${PAM_MODULE}: out/${LIBRARIES}
-	gcc pam/*.c -fPIC -shared -lpam -L./out/ -ldeepin_pw_check -o $@ $^
+	gcc pam/*.c -fPIC -W -Wall -shared -lpam -L./out/ -ldeepin_pw_check -o $@ $^
 
 build_tool: prepare
-	gcc tool/*.c -liniparser -o out/${TOOL_BINARAY}
+	gcc tool/*.c -liniparser -W -Wall -o out/${TOOL_BINARAY}
 
 build: prepare $(addprefix out/bin/, ${BINARIES}) out/${LIBRARIES} static_lib out/${PAM_MODULE} build_tool ts_to_policy
 
@@ -73,7 +75,7 @@
 test: $(addprefix unit_test/, $(SRCS_C)) clean_test
 
 unit_test/%:
-	gcc $(addsuffix .c, $@) ./lib/*.c -lcrypt -lcrack -liniparser -DIN_CRACKLIB -z noexecstack -o $@
+	gcc $(addsuffix .c, $@) ./lib/*.c -lcrypt -lcrack -liniparser -DIN_CRACKLIB -W -Wall -DPASSWD_CONF_FILE_GRUB2=\"unit_test/testdata/grub2_edit_auth.conf\" -z noexecstack -o $@
 	@chmod +x $@
 	@./$@
 
@@ -85,7 +87,7 @@
 	rm -f $^
 
 pot:
-	xgettext --from-code utf-8 lib/* -o misc/po/deepin-pw-check.pot
+	xgettext --from-code utf-8 lib/*.c pam/*.c -o misc/po/deepin-pw-check.pot
 
 POLICY_NAME = com.deepin.daemon.passwdconf
