=== debian/changelog ===
deepin-pw-check (5.1.8-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 21 Feb 2022 11:04:49 +0800
