=== debian/rules ===
#!/usr/bin/make -f

include /usr/share/dpkg/architecture.mk

# DH_VERBOSE = 1

export GOPATH = /usr/share/gocode
export PAM_MODULE_DIR = usr/lib/$(DEB_HOST_MULTIARCH)/security
export PKG_FILE_DIR = usr/lib/pkgconfig
export GO111MODULE = off
export GOCACHE=/tmp/

%:
	dh $@

override_dh_link:
	dh_link -plibdeepin-pw-check-dev usr/lib/libdeepin_pw_check.so.1 \
		usr/lib/libdeepin_pw_check.so
	dh_link -plibdeepin-pw-check usr/lib/libdeepin_pw_check.so.1.1 \
		usr/lib/libdeepin_pw_check.so.1
