=== debian/changelog ===
deepin-pw-check (5.1.12-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 27 Jun 2022 11:10:28 +0800
