=== debian/rules ===
--- 
+++ 
@@ -10,6 +10,10 @@
 export GO111MODULE = off
 export GOCACHE=/tmp/
 
+ifneq ($(DEB_BUILD_ARCH), mips64el)
+	export GOBUILD_OPTIONS=-ldflags '-linkmode=external -extldflags "-pie"'
+endif
+
 %:
 	dh $@
