## deepin-pw-check 5.1.16

=== debian/changelog ===
deepin-pw-check (5.1.16-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Mon, 15 Aug 2022 21:53:52 +0800
