## deepin-pw-check 5.1.17

=== debian/changelog ===
deepin-pw-check (5.1.17-1) unstable; urgency=medium

  * update

 -- Deepin Packages Builder <packages@deepin.com>  Thu, 13 Oct 2022 14:07:37 +0800
