=== debian/changelog ===
deepin-pw-check (6.0.2) unstable; urgency=medium

  * chore: support go mod

 -- chenhongtao <chenhongtao@deepin.org>  Sun, 17 Sep 2023 10:45:50 +0800

deepin-pw-check (6.0.1) unstable; urgency=medium

  [ TagBuilder ]
  * feat: 接口更变，增加V23接口(Task: 207483)(Influence: 接口更变)

 -- zhaoyingzhen <zhaoyingzhen@uniontech.com>  Tue, 13 Dec 2022 19:30:08 +0800

deepin-pw-check (6.0.0.0) unstable; urgency=medium

  * release 6.0.0.0

 --  <fanpengcheng@uniontech.com>  Tue, 14 June 2022 17:06:13 +0800

deepin-pw-check (5.1.9) unstable; urgency=medium

  * fix mirror install error.

 -- echengqi <echengqi@uniontech.com>  Fri, 10 jun 2022 13:48:35 +0800
