=== debian/control ===
--- 
+++ 
@@ -26,9 +26,6 @@
 Package: libdeepin-pw-check
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
- cracklib-runtime,
- libcrack2,
- libiniparser1,
 Breaks: libpam-cracklib
 Replaces: libpam-cracklib
 Description: deepin password check interface
