=== debian/rules ===
--- 
+++ 
@@ -3,8 +3,7 @@
 include /usr/share/dpkg/architecture.mk
 
 # DH_VERBOSE = 1
-
-export GOPATH = /usr/share/gocode
+#export GOPATH = /usr/share/gocode
 export PAM_MODULE_DIR = usr/lib/$(DEB_HOST_MULTIARCH)/security
 export PKG_FILE_DIR = usr/lib/pkgconfig
 export GO111MODULE = off
