=== debian/changelog ===
deepin-pw-check (6.0.3) UNRELEASED; urgency=medium

  * feat: 对org.deepin.dde.PasswdConf1服务进行安全加固 (#39)

 -- fuleyi <fuleyi@uniontech.com>  Fri, 18 Oct 2024 15:34:01 +0800
