=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Deepin Packages Builder <packages@deepin.com>
 Build-Depends:
- debhelper (>= 9),
+ debhelper-compat (= 11),
  libcrack2-dev,
  libpam-dev,
  libiniparser-dev,
@@ -26,6 +26,7 @@
 Package: libdeepin-pw-check
 Architecture: any
 Depends: ${misc:Depends}, ${shlibs:Depends},
+ libpam-runtime
 Breaks: libpam-cracklib
 Replaces: libpam-cracklib
 Description: deepin password check interface
