=== debian/rules ===
--- 
+++ 
@@ -21,3 +21,7 @@
 		usr/lib/libdeepin_pw_check.so
 	dh_link -plibdeepin-pw-check usr/lib/libdeepin_pw_check.so.1.1 \
 		usr/lib/libdeepin_pw_check.so.1
+
+override_dh_auto_install:
+	dh_auto_install
+	dh_installtmpfiles deepin-pw-check.tmpfiles
